Subject: Re: [PATCH RFC] [1/9] Core module symbol namespaces code and intro.

From: Christoph Hellwig <[email-masked]>
Date: Thu, 22 Nov 2007 12:03:50 +0000

On Thu, Nov 22, 2007 at 12:54:49PM +0100, Andi Kleen wrote:
> On Thursday 22 November 2007 12:06, Christoph Hellwig wrote:
> > Very nice, looking forward to organize the exports mess a bit more.
> 
> I would need people to help me converting more subsystems to this new scheme.
> 
> In particular all exports that are only used by a single module are direct 
> candidates for a namespace. For the others it has to be checked by someone
> who knows the particular subsystem well.
> 
> e.g. for SCSI it would be nice to put the symbols only used by sd/sr/sg etc.
> into a namespace.

True.  I'll take care of the scsi bits once this goes in.